-- ----------------------------------------------------------------------------
layoutPorchDoorknob.mExits =
{
}
layoutPorchDoorknob.mPOIs = 
{
}
layoutPorchDoorknob.mHOs = 
{
}
layoutPorchDoorknob.mIOs =
{
	[objectPorchDoorknobKeyHitarea] =
	{
		links = {objectPorchKey}
	},
}
-- ----------------------------------------------------------------------------
function layoutPorchDoorknob:onConstruct()

	Layout.onConstruct(self)
	
	objectPorchDoorknobKey:ss(kInactive)

end
-- ----------------------------------------------------------------------------
function layoutPorchDoorknob:onShow()
	
	Layout.onShow(self)

	-- end highlight
	objectPorchDoorknobShine:ss(kDone)	

end
-- ----------------------------------------------------------------------------
function layoutPorchDoorknob:onStartAudio()

	-- Play some outside noises
	playAmbientAudio(kOutsideHutAmbientGroup)

end